Bug 137670 - No space left on device reported but plenty space available
No space left on device reported but plenty space available
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-30 08:47 EDT by Peter Backlund
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-26 14:51:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of dd command in comment #1 (5.27 KB, text/plain)
2004-10-30 08:49 EDT, Peter Backlund
no flags Details

  None (edit)
Description Peter Backlund 2004-10-30 08:47:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
Occasionally, the kernel refuses to write anything to disc, with
applications reporting "No space left on device" although there's
plenty of space available. 

[root@localhost ~]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda8              9961408   5212352   4243044  56% /
none                    257928         0    257928   0% /dev/shm
/dev/hda6             38449252  33156508   3339596  91% /opt

[root@localhost ~]# df -i
Filesystem            Inodes   IUsed   IFree IUse% Mounted on
/dev/hda8            1265472  233035 1032437   19% /
none                   64482       1   64481    1% /dev/shm
/dev/hda6            4889248   49666 4839582    2% /opt

Writing to disc in /root:

[root@localhost ~]# dd if=/dev/zero  of=testfile bs=1024 count=10
dd: writing `testfile': No space left on device
5+0 records in
4+0 records out

GConfd errors in /var/log/messages:

Oct 30 13:17:37 localhost gconfd (peter-3669): Failed to log removal
of listener to logfile (most likely harmless, may result in a
notification weirdly reappearing): Failed: Failed to log removal of
listener to gconfd logfile; might erroneously re-add the listener if
gconfd exits or shuts down (No space left on device)

etc.

Version-Release number of selected component (if applicable):
2.6.9-1.643

How reproducible:
Sometimes

Steps to Reproduce:
1. Wait until this state occurs.
2. Try writing something to disc.
3.
    

Additional info:

Might lead to data loss if user is unable to save his/her work to disc.
Comment 1 Peter Backlund 2004-10-30 08:49:09 EDT
Created attachment 105972 [details]
strace of dd command in comment #1
Comment 2 Peter Backlund 2004-11-02 08:57:08 EST
Still present in 2.6.9-1.649
Comment 3 Peter Backlund 2004-11-09 10:34:14 EST
Still present in FC3 release (2.6.9-1.667)

This is on a Rawhide system though, will try a clean install and see
if the problem persists.
Comment 4 Peter Backlund 2004-11-26 14:51:36 EST
Problem fixed by running fsck, got a tip in #fedora-devel :-)

Note You need to log in before you can comment on or make changes to this bug.